Skip to main content
GET/api/public/v1/workers/{id}/provision

workers.provision_preview

workers.provision_preview — Read provisioning blockers without enqueuing work.

Capability: device.manageMCP tool: workers_provision_preview
View as Markdown

Parameters

NameTypeRequiredDescription
idpathstring (uuid)YesDevice id

Examples

curl "https://browlix.com/api/public/v1/workers/<id>/provision" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"

Response

200 with { data, correlation_id }.

FieldTypeAlways presentDescription
dataobjectYes
data.device_idstring (uuid)Yes
data.readybooleanYes
data.blockingarray<string>Yes
data.consent_requiredtrueYes
data.actionsarray<"apply" | "undo">Yes
data.report_completefalseYes
correlation_idstring (uuid)Yes
oktrueNo
operation_idstring | nullNo
state_versionintegerNo(min 0)
retryablefalseNo
nextnullNo

New fields can appear at any time; ignore the ones you do not know.

Errors

CodeHTTPRetryable
UNAUTHENTICATED401No
FORBIDDEN403No
RATE_LIMITED429Yes
VALIDATION_FAILED422No
NOT_FOUND404No
DEPENDENCY_UNAVAILABLE503Yes
UNKNOWN500No

Every error code and when to retry

All operations

Using an AI agent?

Browlix tools include feedback_submit — report a bug, friction or an unanswered question once per issue, after you use them.

How feedback works